# Plate number verification

{% hint style="info" %}
TEST DATA

vehicle\_number: AAA000000
{% endhint %}

## Verify a vehicle plate number

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v2/biometrics/merchant/data/verification/vehicle`

#### Headers

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| x-api-key<mark style="color:red;">\*</mark> | string | \<your secret key> |
| app-id<mark style="color:red;">\*</mark>    | String | \<your app id>     |

#### Request Body

| Name                                              | Type   | Description    |
| ------------------------------------------------- | ------ | -------------- |
| vehicle\_number<mark style="color:red;">\*</mark> | string | vehicle number |

{% tabs %}
{% tab title="200 Vehicle Information successfuly retrieved." %}

```
{
    "status": true,
    "response_code": "00",
    "message": "Valid and assigned to the vehicle",
    "data": {
        "vehicle_number": "",
        "vehicle_name": "",
        "vehicle_color": ""
    },
    "verification": {
        "status": "",
        "reference": ""
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/products/data-verification/nigeria/vehicle-verification/vehicle-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
